<?php
if (!defined('ABSPATH')) {
    exit;
}

$author_id = get_the_author_meta('ID');

$allowed_tags = wp_kses_allowed_html('post');
$author_description = wp_kses(get_the_author_meta('description', $author_id), $allowed_tags);
$author_description = nl2br($author_description);

$args = array(
    'size' => '192'
);

$avatar_img_url = get_avatar_url($author_id, $args);
$avatar_class = 'avatar avatar-96 wp-user-avatar wp-user-avatar-96 alignnone photo';
$author_name = get_the_author_meta('display_name', $author_id);

$author_url = get_author_posts_url($author_id);

$autor_meta_tw = esc_url(get_the_author_meta('twitter', $author_id));
$autor_meta_fb = esc_url(get_the_author_meta('facebook', $author_id));
$autor_meta_ins = esc_url(get_the_author_meta('instagram', $author_id));
$autor_meta_line = esc_url(get_the_author_meta('line', $author_id));
$autor_meta_yt = esc_url(get_the_author_meta('youtube', $author_id));
?>
<div class="writer" id="writer">
    <div class="writer__left">
        <p class="writer-title writer-title__pc"><?php _e('この記事を書いた人', NMD_TEXT_DOMAIN); ?></p>
        <figure>
            <img src="<?php echo $avatar_img_url; ?>" alt="<?php echo $author_name; ?>" loading="lazy" />
        </figure>
        <p class="writer__left-name"><?php echo $author_name; ?></p>
    </div>
    <div class="writer__right">
        <p class="writer-title writer-title__sp"><?php _e('この記事を書いた人', NMD_TEXT_DOMAIN); ?></p>
        <p class="writer__right-text"><?php echo $author_description; ?></p>
        <div class="writer__right-sns">
            <?php if (!empty($autor_meta_fb)) : ?>
                <a href="<?php echo $autor_meta_fb; ?>" target="_blank" rel="noopener noreferrer">
                    <img src="<?php echo NMD_TEMPLATE_URI . "/assets/img/icon/share-white/fb.svg" ?>" alt="Facebook" loading="lazy" />
                </a>
            <?php endif; ?>
            <?php if (!empty($autor_meta_tw)) : ?>
                <a href="<?php echo $autor_meta_tw; ?>" target="_blank" rel="noopener noreferrer">
                    <img src="<?php echo NMD_TEMPLATE_URI . "/assets/img/icon/share-white/tw.svg" ?>" alt="Twitter" loading="lazy" />
                </a>
            <?php endif; ?>
            <?php if (!empty($autor_meta_ins)) : ?>
                <a href="<?php echo $autor_meta_ins; ?>" target="_blank" rel="noopener noreferrer">
                    <img src="<?php echo NMD_TEMPLATE_URI . "/assets/img/icon/share-white/ig.svg" ?>" alt="Instagram" loading="lazy" />
                </a>
            <?php endif; ?>
            <?php if (!empty($autor_meta_line)) : ?>
                <a href="<?php echo $autor_meta_line; ?>" target="_blank" rel="noopener noreferrer">
                    <img src="<?php echo NMD_TEMPLATE_URI . "/assets/img/icon/share-white/line.svg" ?>" alt="LINE" loading="lazy" />
                </a>
            <?php endif; ?>
            <?php if (!empty($autor_meta_yt)) : ?>
                <a href="<?php echo $autor_meta_yt; ?>" target="_blank" rel="noopener noreferrer">
                    <img src="<?php echo NMD_TEMPLATE_URI . "/assets/img/icon/share-white/yt.svg" ?>" alt="YouTube" loading="lazy" />
                </a>
            <?php endif; ?>
        </div>
    </div>
</div>