<?php

if (!defined('ABSPATH')) {
	exit;
}

/**
 * メタディスクリプションの設定
 */

if (!empty(get_option('nmd_invalidation_meta_description', false))) return;

$meta_description = '';

if (is_singular()) $post_id = get_the_ID();

$setting_description = NMD_BLOG_DESCRIPTION;

if (!empty(get_option('nmd_top_meta_description'))) {
	/**
	 * トップページのmeta descriptionが設定されている場合、
	 * 初期値として利用する
	 */
	$setting_description = get_option('nmd_top_meta_description');
	$setting_description = nmd_delete_breaks($setting_description);
}

if (is_home()) {
	/**
	 * トップページ
	 */
	$meta_description = $setting_description;
	
} elseif (is_singular()) {

	/**
	 * 投稿・固定ページ
	 */
	if (!empty($meta_description = get_post_meta($post_id, 'meta_description', true))) {

		$meta_description = trim($meta_description);
	} else {

		$meta_description = nmd_get_excerpt(120, $post_id);
	}
} elseif (is_category()) {
	/**
	 * カテゴリーページ
	 */
	$cat_id = get_query_var('cat');

	$cat_meta = get_option('cat_' . $cat_id);

	if (!empty($cat_meta["meta-description"])) {
		$cat_meta_description = $cat_meta["meta-description"];
		$meta_description = nmd_trim_same_space(nmd_delete_breaks($cat_meta_description));
	} elseif (!empty($category_description = category_description())) {
		$meta_description = nmd_sanitize_excerpt($category_description, true);
	} else {
		$cat = get_the_category();
		$cat = $cat[0];
		$meta_description = '「' . $cat->name . '」カテゴリーの記事一覧 | ' . NMD_BLOG_NAME;
	}
} elseif (is_tag()) {
	/**
	 * タグページ
	 */
	$tag_id = get_query_var('tag_id');
	$tags = get_tag($tag_id);
	$meta_description = '「' . $tags->name . '」タグの記事一覧 | ' . NMD_BLOG_NAME;
} elseif (is_author()) {
	/**
	 * 投稿者ページ
	 */
	$author_id = get_the_author_meta('ID');
	$author_name = get_the_author_meta('display_name');

	$meta_description = $author_name . 'の記事一覧 | ' . NMD_BLOG_NAME;
} elseif (is_archive()) {
	/**
	 * アーカイブページ
	 */
} elseif (is_404()) {
	/**
	 * 404ページでは何も出力しない
	 */
} else {
	$meta_description = $setting_description;
}
?>
<?php if (!empty($meta_description)) : ?>
	<meta name="description" content="<?php echo $meta_description; ?>">
<?php endif; ?>