<?php
/**
 * カスタマイザーの設定
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( ! function_exists( 'nmd_customizer_register_ads' ) ) {
	function nmd_customizer_register_ads( $wp_customize ) {
		/**
		 * アドセンスパネル =========================================================
		 */
		$wp_customize->add_panel( 'nmd_adsense_panel', array(
			'title'		=> '[Nomad]アドセンスの設定',
			'priority'	=> 190,
		));
        /**
         * 記事中自動
         */
        $wp_customize->add_section( 'nmd_section_adsense_auto_post', array(
            'title'			=> '記事中に自動アドセンス',
            'panel'			=> 'nmd_adsense_panel',
            'description'	=> '記事中の見出しに自動で挿入できるアドセンス<br>記事ごとに表示・非表示の設定もできます。'
        ) );
        $wp_customize->add_setting( 'nmd_adsense_auto_post_code', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_no_sanitize',
        ) );
        $wp_customize->add_control( 'nmd_adsense_auto_post_code', array(
            'label'			=> 'アドセンスのコード',
            'description'	=> '記事中に自動で挿入したいアドセンスのコードをコピペしてください。',
            'section'		=> 'nmd_section_adsense_auto_post',
            'settings'		=> 'nmd_adsense_auto_post_code',
            'type'			=> 'textarea',
        ) );
        $wp_customize->add_setting( 'nmd_adsense_auto_post_type', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_adsense_auto_post_type', array(
            'settings'		=> 'nmd_adsense_auto_post_type',
            'section'		=> 'nmd_section_adsense_auto_post',
            'label'			=> '固定ページでも自動挿入する',
            'type'			=> 'checkbox',
        ) );
        $wp_customize->add_setting( 'nmd_adsense_auto_post_first', array(
            'type'				=> 'option',
            'default'			=> '1',
            'sanitize_callback'	=> 'nmd_sanitize_number_range',
        ) );
        $wp_customize->add_control( 'nmd_adsense_auto_post_first', array(
            'label'			=> '最初に表示させる見出しの位置',
            'description'	=> '○番目の見出しの上にアドセンス',
            'section'		=> 'nmd_section_adsense_auto_post',
            'settings'		=> 'nmd_adsense_auto_post_first',
            'type'			=> 'number',
            'input_attrs'	=> array(
                'step'	=> '1',
                'min'	=> '1',
                'max'	=> '10',
            ),
        ) );
        $wp_customize->add_setting( 'nmd_adsense_auto_post_pos', array(
            'type'				=> 'option',
            'default'			=> '5',
            'sanitize_callback'	=> 'nmd_sanitize_number_range',
        ) );
        $wp_customize->add_control( 'nmd_adsense_auto_post_pos', array(
            'label'			=> '表示させる頻度',
            'description'	=> '見出し○個ごとにアドセンスが挿入されます。',
            'section'		=> 'nmd_section_adsense_auto_post',
            'settings'		=> 'nmd_adsense_auto_post_pos',
            'type'			=> 'number',
            'input_attrs'	=> array(
                'step'	=> '1',
                'min'	=> '1',
                'max'	=> '10',
            ),
        ) );
        $wp_customize->add_setting( 'nmd_adsense_auto_post_include_heading_title', array(
            'sanitize_callback'	=> 'nmd_no_sanitize',
        ) );
        $wp_customize->add_control( new nmd_Custom_Title( $wp_customize, 'nmd_adsense_auto_post_include_heading_title', array(
            'section'	=> 'nmd_section_adsense_auto_post',
            'label'		=> 'カウントする見出し',
        ) ) );
        $wp_customize->add_setting( 'nmd_adsense_include_h2', array(
            'default'			=> 'checked',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_adsense_include_h2', array(
            'label'			=> '見出し2',
            'section'		=> 'nmd_section_adsense_auto_post',
            'settings'		=> 'nmd_adsense_include_h2',
            'type'			=> 'checkbox',
        ) );
        $wp_customize->add_setting( 'nmd_adsense_include_h3', array(
            'default'			=> 'checked',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_adsense_include_h3', array(
            'label'			=> '見出し3',
            'section'		=> 'nmd_section_adsense_auto_post',
            'settings'		=> 'nmd_adsense_include_h3',
            'type'			=> 'checkbox',
        ) );
        $wp_customize->add_setting( 'nmd_adsense_include_h4', array(
            'default'			=> 'checked',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_adsense_include_h4', array(
            'label'		=> '見出し4',
            'section'	=> 'nmd_section_adsense_auto_post',
            'settings'	=> 'nmd_adsense_include_h4',
            'type'		=> 'checkbox',
        ) );
        $wp_customize->add_setting( 'nmd_adsense_include_h5', array(
            'default'			=> 'checked',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_adsense_include_h5', array(
            'label'		=> '見出し5',
            'section'	=> 'nmd_section_adsense_auto_post',
            'settings'	=> 'nmd_adsense_include_h5',
            'type'		=> 'checkbox',
        ) );
        $wp_customize->add_setting( 'nmd_adsense_include_h6', array(
            'default'			=> 'checked',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_adsense_include_h6', array(
            'label'		=> '見出し6',
            'section'	=> 'nmd_section_adsense_auto_post',
            'settings'	=> 'nmd_adsense_include_h6',
            'type'		=> 'checkbox',
        ) );

        /**
         * ショートコード
         */
        $wp_customize->add_section( 'nmd_section_adsense_shortcode', array(
        'title'			=> 'ショートコードで呼び出せるアドセンスコード',
        'panel'			=> 'nmd_adsense_panel',
        'description'	=> '[ads]ショートコードで表示させるアドセンス広告'
        ) );
        $wp_customize->add_setting( 'nmd_adsense_shortcode', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_no_sanitize',
        ) );
        $wp_customize->add_control( 'nmd_adsense_shortcode', array(
            'label'			=> 'アドセンスのコード',
            'description'	=> '[ads]ショートコードで呼び出せるアドセンスコードです。',
            'section'		=> 'nmd_section_adsense_shortcode',
            'settings'		=> 'nmd_adsense_shortcode',
            'type'			=> 'textarea',
        ) );
        /**
         * 自動広告
         */
        $wp_customize->add_section( 'nmd_section_adsense_auto', array(
        'title'			=> '自動広告コード',
        'panel'			=> 'nmd_adsense_panel',
        'description'	=> 'アドセンスに関する設定です。'
        ) );
        $wp_customize->add_setting( 'nmd_adsense_auto', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_no_sanitize',
        ) );
        $wp_customize->add_control( 'nmd_adsense_auto', array(
            'label'			=> 'アドセンスのコード',
            'description'	=> '自動広告のコードはこちら<br>審査用のコードもこちらです。',
            'section'		=> 'nmd_section_adsense_auto',
            'settings'		=> 'nmd_adsense_auto',
            'type'			=> 'textarea',
        ) );
        /**
         * インフィード広告
         */
        $wp_customize->add_section( 'nmd_section_adsense_infeed', array(
        'title'			=> 'インフィード広告',
        'panel'			=> 'nmd_adsense_panel',
        'description'	=> '記事一覧に挿入されるアドセンス広告です'
        ) );
        $wp_customize->add_setting( 'nmd_infeed_adsense_code', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_no_sanitize',
        ) );
        $wp_customize->add_control( 'nmd_infeed_adsense_code', array(
            'label'			=> 'インフィード広告のタグ',
            'description'	=> 'インフィード広告のタグをコピペしてください。',
            'section'		=> 'nmd_section_adsense_infeed',
            'settings'		=> 'nmd_infeed_adsense_code',
            'type'			=> 'textarea',
        ) );
        $wp_customize->add_setting( 'nmd_infeed_adsense_code_num', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );
        $wp_customize->add_control( 'nmd_infeed_adsense_code_num', array(
            'label'			=> 'インフィード広告挿入位置',
            'description'	=> '〇個目記事の前にインフィード広告を挿入します。複数設定する場合、コンマ区切りで記述してください。<br>例：1,5',
            'section'		=> 'nmd_section_adsense_infeed',
            'settings'		=> 'nmd_infeed_adsense_code_num',
            'type'			=> 'text',
        ) );
        /**
         * アドセンスの遅延読み込み
         */
        $wp_customize->add_section( 'nmd_section_adsense_lazyload', array(
        'title'			=> 'アドセンスの遅延読み込み',
        'panel'			=> 'nmd_adsense_panel',
        'description'	=> '記事内自動アドセンス、インフィード、ショートコード、アドセンスウィジェット内のアドセンスの読み込みを遅延させます。<br><br>※収益に影響が出る可能性があります。<br>※必ず表示確認をしてください。<br>※自動広告は遅延されません。'
        ) );
        $wp_customize->add_setting( 'nmd_adsense_available_lazyload', array(
            'type'				=> 'option',
            'sanitize_callback'	=> 'nmd_sanitize_checkbox',
        ) );
        $wp_customize->add_control( 'nmd_adsense_available_lazyload', array(
            'label'			=> 'アドセンス遅延読み込み',
            'section'		=> 'nmd_section_adsense_lazyload',
            'settings'		=> 'nmd_adsense_available_lazyload',
            'type'			=> 'checkbox',
        ) );
	}
	add_action( 'customize_register', 'nmd_customizer_register_ads' );
}