<?php
/**
 * カスタマイザーの設定
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
/**
 * カラーの設定
 */
if ( ! function_exists( 'nmd_customizer_register_color' ) ) {
	function nmd_customizer_register_color( $wp_customize ) {
		// メインカラー
		$wp_customize->add_setting( 'nmd_main_color', array(
			'type'				=> 'option',
			'default'			=> '#29CAD8',
			'sanitize_callback'	=> 'sanitize_hex_color',
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nmd_main_color', array(
			'label'		=> 'メインカラー',
			'section'	=> 'colors',
			'settings'	=> 'nmd_main_color',
			'priority'	=> 10,
		) ) );

        $wp_customize->add_setting( 'nmd_copyright_color', array(
			'type'				=> 'option',
			'default'			=> '#29CAD8',
			'sanitize_callback'	=> 'sanitize_hex_color',
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nmd_copyright_color', array(
			'label'		=> 'コピーライトの背景色',
			'section'	=> 'colors',
			'settings'	=> 'nmd_copyright_color',
			'priority'	=> 10,
		) ) );
	}
	add_action( 'customize_register', 'nmd_customizer_register_color' );
}
