<?php

/**
 * 投稿画面の右サイドにメタボックスを追加
 */
if (!defined('ABSPATH')) {
	exit;
}

if (!function_exists('nmd_add_custom_boxes_sidebar')) {
	function nmd_add_custom_boxes_sidebar()
	{
		add_meta_box('no_ad', 'アドセンス非表示', 'nmd_meta_box_hide_ad_cb', array('post', 'page'), 'side');
		// add_meta_box('column_type', 'カラム数の設定', 'nmd_meta_box_column_type', array('post', 'page'), 'side');
	}
	add_action('add_meta_boxes', 'nmd_add_custom_boxes_sidebar');
}

// 広告オンオフ切り替えボックス
if (!function_exists('nmd_meta_box_hide_ad_cb')) {
	function nmd_meta_box_hide_ad_cb()
	{
		global $post;
		$id = $post->ID;
		$hide_ad_value = get_post_meta($id, 'no_ad', true);

		wp_nonce_field('wp-nonce-key', '_wp_nonce_nmd');
?>
		<label><input type="checkbox" id="no_ad" name="no_ad" value="is-off" <?php if ($hide_ad_value === 'is-off') echo 'checked'; ?> />非表示</label>
	<?php
	}
}

// カラム数切り替えボックス
/* if (!function_exists('nmd_meta_box_column_type')) {
	function nmd_meta_box_column_type()
	{
		global $post;
		$id = $post->ID;
		$column_type = get_post_meta($id, 'column_type', true);

		wp_nonce_field('wp-nonce-key', '_wp_nonce_nmd');
	?>
		<p style="font-size: 12px;color: #666;">カラム数を個別に設定することができます。</p>
		<label style="margin-right: 10px;">
			<input type="radio" id="column_type_1" name="column_type" value="" <?php if (empty($column_type)) echo 'checked'; ?> />デフォルト
		</label>
		<label style="margin-right: 10px;">
			<input type="radio" id="column_type_1" name="column_type" value="1column" <?php if ($column_type === '1column') echo 'checked'; ?> />1カラム
		</label>
		<label>
			<input type="radio" id="column_type_2" name="column_type" value="2column" <?php if ($column_type === '2column') echo 'checked'; ?> />2カラム<br>
		</label>
<?php
	}
} */

if (!function_exists('nmd_save_sidebar_custom_data')) {
	function nmd_save_sidebar_custom_data($post_id)
	{
		if ( defined('DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return $post_id;

		if ( ! isset( $_POST['_wp_nonce_nmd'] ) || ! $_POST['_wp_nonce_nmd'] ) return;
		if ( ! check_admin_referer( 'wp-nonce-key', '_wp_nonce_nmd' ) ) return;


		$post_keys = array('no_ad');

		foreach ( $post_keys as $post_key ) {
			if ( isset( $_POST[$post_key] ) && $_POST[$post_key] === '') {
				delete_post_meta($post_id, $post_key);
			} elseif ( ! empty( $_POST[$post_key] ) ) {
				$value = $_POST[$post_key];
				update_post_meta( $post_id, $post_key, $value );
			} elseif ( ! isset( $_POST[$post_key] ) ) {
				delete_post_meta( $post_id, $post_key );
			} else {
				$value = '';
			}
		}
	}
	add_action( 'save_post', 'nmd_save_sidebar_custom_data' );
}
